- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes

# SelectionSet Class Reference

Search for all occurrences

## Detailed Description

This class represents a collection of faces among one or more mesh objects.

Definition at line 19 of file selectionset.h.

`#include <selectionset.h>`

Inheritance diagram for SelectionSet:
[legend]

List of all members.

## Classes
struct | MeshInfo
| This structure holds the collection of faces for a given mesh. More...
## Public Member Functions
MeshInfo * | AddMesh (Mesh *pMesh)
| Add a mesh to the set.
void | SetVisible (bool bVisible)
| Hides or shows the members of the set.
void | Serialize (Stream &)
| Saves or loads from the given stream.
QList< MeshInfo * > & | MeshInfos ()
| Accessor for the array of members of this collection.
bool | Active ()
void | SetActive (bool bActive)
## Public Attributes
| DECLARE_CLASS
## Protected Member Functions
| SelectionSet (const QString &sName="")
| Constructor.
## Protected Attributes
bool | m_bActive
QList< MeshInfo * > | m_lMeshInfos

## Constructor & Destructor Documentation

SelectionSet | ( | const QString & | sName = `""` | ) | `[protected]`

Constructor.

Do not use it directly; Use CreateInstance() instead.

            SelectionSet *mySelectionSet = CreateInstance<SelectionSet>();

## Member Function Documentation

MeshInfo* AddMesh | ( | Mesh * | pMesh | ) |

Search for all occurrences

Add a mesh to the set.

Parameters:

  pMesh | the mesh to add

Returns:
  pMesh's corresponding MeshInfo. Note the SelectionSet owns this memory.

void SetVisible | ( | bool | bVisible | ) | `[virtual]`

Search for all occurrences

Hides or shows the members of the set.

Reimplemented from TreeNode.

void Serialize | ( | Stream & |  | ) | `[virtual]`

Search for all occurrences

Saves or loads from the given stream.

Reimplemented from TreeNode.

QList<MeshInfo*>& MeshInfos | ( |  | ) | `[inline]`

Search for all occurrences

Accessor for the array of members of this collection.

Definition at line 55 of file selectionset.h.

    { return m_lMeshInfos; }

bool Active | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 58 of file selectionset.h.

    { return m_bActive; }

void SetActive | ( | bool | bActive | ) | `[inline]`

Search for all occurrences

Definition at line 61 of file selectionset.h.

    { m_bActive = bActive; }

## Member Data Documentation

DECLARE_CLASS

Search for all occurrences

Reimplemented from TreeNode.

Definition at line 22 of file selectionset.h.

bool m_bActive `[protected]`

Search for all occurrences

Definition at line 64 of file selectionset.h.

QList<MeshInfo *> m_lMeshInfos `[protected]`

Search for all occurrences

Definition at line 65 of file selectionset.h.

The documentation for this class was generated from the following file:

- Mudbox/selectionset.h

SelectionSet SelectionSet SelectionSet SelectionSet SelectionSet SelectionSet SelectionSet SelectionSet SelectionSet SelectionSet
SelectionSet SelectionSet SelectionSet SelectionSet SelectionSet SelectionSet SelectionSet SelectionSet SelectionSet SelectionSet